description: Just a demo of test suite for org-element parser
cases:
- id: simple-heading
  description: Heading and section with paragraph
  input: |2


    * this is a heading

    With some text below.
  result:
  - org-data
  - begin: 1
    contents-begin: 3
    contents-end: 46
    end: 46
    post-affiliated: 1
    post-blank: 0
  - - headline
    - archivedp: null
      begin: 3
      commentedp: null
      contents-begin: 24
      contents-end: 46
      end: 46
      footnote-section-p: null
      level: 1
      post-affiliated: 3
      post-blank: 0
      pre-blank: 1
      priority: null
      raw-value: this is a heading
      tags: null
      title:
      - this is a heading
      todo-keyword: null
      todo-type: null
    - - section
      - begin: 24
        contents-begin: 24
        contents-end: 46
        end: 46
        post-affiliated: 24
        post-blank: 0
      - - paragraph
        - begin: 24
          contents-begin: 24
          contents-end: 46
          end: 46
          post-affiliated: 24
          post-blank: 0
        - |
          With some text below.
- id: bold-emphasis-at-beginning-of-line
  description: 'Bold text marker at beginning of line should not be confused with
    heading: no space after star'
  input: |
    *Bold text*
  result:
  - org-data
  - begin: 1
    contents-begin: 1
    contents-end: 13
    end: 13
    post-affiliated: 1
    post-blank: 0
  - - paragraph
    - begin: 1
      contents-begin: 1
      contents-end: 13
      end: 13
      post-affiliated: 1
      post-blank: 0
    - - bold
      - begin: 1
        contents-begin: 2
        contents-end: 11
        end: 13
      - Bold text
